@import '../../../../assets/styles/variables.scss';

.ch-post-container {
  position: relative;
  margin-bottom: 30px;

  & .ch-post-content {
    position: relative;
    padding: 20px 10px;
    z-index: 2;

    & h5 {
      margin-left: 20px;
    }
  }

  & .ch-post-background-trans {
    position: absolute;
    top: 0;
    left: 0;
    background-color: $header_background;
    height: 100%;
    width: 100%;
    opacity: 0.7;
    z-index: 0;
  }

  & .priority {
    & span {
      margin-left: 5px;

      div {

        display: inline-block;
        height: 12px;
        width: 12px;
        border-radius: 12px;
        margin-right: 5px;
      }

      &.important-status {
        color: $btn-danger-bg;
        & div {
          background-color: $btn-danger-bg;
        }
      }

      &.middle-important-status {
        color: $btn-warning-bg;
        & div {
          background-color: $btn-warning-bg;
        }
      }

      &.not-important-status {
        color: $btn-success-bg;
        & div {
          background-color: $btn-success-bg;
        }
      }
    }
  }
}
